# Asterisk Project : Asterisk 13 Application_ExecIfTime

Created by wikibot on Aug 08, 2014

# ExecIfTime()

### Synopsis

Conditional application execution based on the current time.

### Description

This application will execute the specified dialplan application, with optional arguments, if the current time matches the given time specification.

### Syntax

    ExecIfTime(times,weekdays,mdays,months,[timezone]?appname[(appargs]))

##### Arguments

- `day_condition`
  - `times`
  - `weekdays`
  - `mdays`
  - `months`
  - `timezone`
- `appname`
  - `appargs`

### See Also

- Asterisk 13 Application_Exec
- Asterisk 13 Application_ExecIf
- Asterisk 13 Application_TryExec
- Asterisk 13 Application_GotoIfTime

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538